NodeAccountingServiceImpl (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-01

org.gcube.messaging.accounting.nodeaccountingportlet.server

## Class NodeAccountingServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.messaging.accounting.nodeaccountingportlet.server.NodeAccountingServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, NodeAccountingService

      public class NodeAccountingServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements NodeAccountingService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAccountingServiceImpl()` Class constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `export(ArrayList<String[]> records, String name)`
    `Map<String,ArrayList<String>>` | `getGHNs()`
    `String` | `getRecords(String ghn, String scope, String serviceClass, String serviceName, String sortColumn, String sortDir, int start, int limit, String[] date)`
    `ArrayList<ArrayList<String>>` | `getScopes()`
    `Map<String,ArrayList<String>>` | `getServices()`
    `String` | `getStartDate()`
    `String` | `getStatistics(String serviceClass, String serviceName, String callerScope, String ghn, String groupBy, String sortColumn, String sortDir, String[] dates)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAccountingServiceImpl

          public NodeAccountingServiceImpl()

      Class constructor

  - ### Method Detail

    - #### export

          public String export(ArrayList<String[]> records,
                      String name)
                        throws IOException

      Specified by:
        `export` in interface `NodeAccountingService`
      Throws:
        `IOException`

    - #### getStartDate

          public String getStartDate()
                              throws Exception

      Specified by:
        `getStartDate` in interface `NodeAccountingService`
      Throws:
        `Exception`

    - #### getGHNs

          public Map<String,ArrayList<String>> getGHNs()
                                                throws Exception

      Specified by:
        `getGHNs` in interface `NodeAccountingService`
      Throws:
        `Exception`

    - #### getRecords

          public String getRecords(String ghn,
                          String scope,
                          String serviceClass,
                          String serviceName,
                          String sortColumn,
                          String sortDir,
                          int start,
                          int limit,
                          String[] date)
                            throws Exception

      Specified by:
        `getRecords` in interface `NodeAccountingService`
      Throws:
        `Exception`

    - #### getScopes

          public ArrayList<ArrayList<String>> getScopes()
                                                 throws Exception

      Specified by:
        `getScopes` in interface `NodeAccountingService`
      Throws:
        `Exception`

    - #### getServices

          public Map<String,ArrayList<String>> getServices()
                                                    throws Exception

      Specified by:
        `getServices` in interface `NodeAccountingService`
      Throws:
        `Exception`

    - #### getStatistics

          public String getStatistics(String serviceClass,
                             String serviceName,
                             String callerScope,
                             String ghn,
                             String groupBy,
                             String sortColumn,
                             String sortDir,
                             String[] dates)
                               throws Exception

      Specified by:
        `getStatistics` in interface `NodeAccountingService`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.